> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmembrane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a single app

> Returns a public app by its ID, key, or UUID with OpenAPI specs.



## OpenAPI

````yaml /api-reference/membrane-api.json get /external-apps/{idOrKeyOrUuid}
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /external-apps/{idOrKeyOrUuid}:
    get:
      tags:
        - ExternalApps
      summary: Get a single app
      description: Returns a public app by its ID, key, or UUID with OpenAPI specs.
      operationId: getApp
      parameters:
        - name: idOrKeyOrUuid
          required: true
          in: path
          description: App ID, key, or UUID
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExternalAppDto'
components:
  schemas:
    ExternalAppDto:
      type: object
      properties:
        id:
          type: string
        key:
          type: string
        isReadOnly:
          type: boolean
        isPublic:
          type: boolean
        isConnected:
          type: boolean
        uuid:
          type: string
        name:
          type: string
        appUri:
          type: string
          format: uri
        logoUri:
          type: string
          format: uri
        defaultConnectorId:
          type: string
        basePackageId:
          type: string
        categories:
          type: array
          items:
            type: string
        popularity:
          type: number
        readmeSlug:
          type: string
        hasAuth:
          type: boolean
        hasData:
          type: boolean
        hasFreeTestAccount:
          type: boolean
          nullable: true
        freeTestAccountGuide:
          type: string
        freeTestAccountGuideVerifiedAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
          nullable: true
        openapiSpecs:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              sourceUri:
                type: string
        tenantId:
          type: string
      required:
        - id
        - key
        - isReadOnly
        - uuid
        - name
        - appUri
        - logoUri
        - defaultConnectorId
        - categories
        - popularity
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````